package cn.gyee.tamplate.config;

import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 *@ClassName MybatisPlusConfig
 *@Description 配置分页插件
 *@Author 谢生杰
 *@Date 2020/9/25 18:24
 *@Version 1.0
 **/
@Configuration
public class MybatisPlusConfig {
    /**
     * 分页插件
     */
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        return new PaginationInterceptor();
    }
}
