package cn.gyee.tamplate.mapper.auto;

import cn.gyee.tamplate.model.auto.Operationrecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 谢生杰
 * @since 2021-01-21
 */
public interface OperationrecordMapper extends BaseMapper<Operationrecord> {
    @Select("select * from operationrecord where time>=#{begin} and time <=#{end} ")
    public List<Operationrecord> listByBeginAndEnd(@Param(value = "begin") Date begin, @Param(value = "end")Date end);
}
