package cn.gyee.tamplate.model.auto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-03-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ANALYSISPVPROJECTCAN")
public class Analysispvprojectcan extends Model {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @TableField("TID")
    private Double tid;

    @TableField("PROJECTID")
    private String projectid;

    @TableField("WINDPOWERSTATIONID")
    private String windpowerstationid;

    @TableField("THEDAY")
    private Date theday;

    @TableField("DAYNHXDSSDL")
    private Double daynhxdssdl;

    @TableField("GENERATINGCAPACITY")
    private Double generatingcapacity;

    @TableField("GWBUYGENERATINGCAPACITY")
    private Double gwbuygeneratingcapacity;

    @TableField("NWBUYGENERATINGCAPACITY")
    private Double nwbuygeneratingcapacity;

    @TableField("GRIDGENERATINGCAPACITY")
    private Double gridgeneratingcapacity;

    @TableField("DAYNHGZSSDL")
    private Double daynhgzssdl;

    @TableField("DAYNHWHSSDL")
    private Double daynhwhssdl;

    @TableField("EQUIPWHSSDL")
    private Double equipwhssdl;

    @TableField("GENERATINGCAPACITYSCADA")
    private Double generatingcapacityscada;

    @TableField("MINOUTPUT")
    private Double minoutput;

    @TableField("CAPACITY")
    private Double capacity;

    @TableField("MAXLIGHT")
    private Double maxlight;

    @TableField("INSTALLEDUNITS")
    private Double installedunits;

    @TableField("EQUIPFAULTSTOPTIME")
    private Double equipfaultstoptime;

    @TableField("EQUIPMAINTIME")
    private Double equipmaintime;

    @TableField("AVEPOWER")
    private Double avepower;

    @TableField("STATIONOFGENERATING")
    private Double stationofgenerating;

    @TableField("BUYGENERATING")
    private Double buygenerating;

    @TableField("MULTIPLEGENERATING")
    private Double multiplegenerating;

    @TableField("LOSSGENERATING")
    private Double lossgenerating;

    @TableField("EQUIVALENT")
    private Double equivalent;

    @TableField("MAINLOSSRATE")
    private Double mainlossrate;

    @TableField("FAULTLOSSRATE")
    private Double faultlossrate;

    @TableField("EQUIPAVAILABILITY")
    private Double equipavailability;

    @TableField("MULTIPLERATE")
    private Double multiplerate;

    @TableField("MULTIPLEGENERATINGSCADA")
    private Double multiplegeneratingscada;

    @TableField("STATIONOFRATE")
    private Double stationofrate;

    @TableField("EQUIPUTILHOUR")
    private Double equiputilhour;

    @TableField("FAULTLOSS")
    private Double faultloss;

    @TableField("MAINLOSS")
    private Double mainloss;

    @TableField("ACCIDENTCOUNT")
    private Double accidentcount;

    @TableField("ACCIDENTSITUATION")
    private String accidentsituation;

    @TableField("SYZFAULTLOSS")
    private Double syzfaultloss;

    @TableField("RAINANDSNOW")
    private Double rainandsnow;

    @TableField("EQUIPFAULTLOSS")
    private Double equipfaultloss;

    @TableField("STATIONINMAINLOSS")
    private Double stationinmainloss;

    @TableField("STATIONINFAULTLOSS")
    private Double stationinfaultloss;

    @TableField("STATIONOUTFAULTLOSS")
    private Double stationoutfaultloss;

    @TableField("STATIONINSTOPTIME")
    private Double stationinstoptime;

    @TableField("EQUIPMAINSTOPTIME")
    private Double equipmainstoptime;

    @TableField("STATIONINMAINSTOPTIME")
    private Double stationinmainstoptime;

    @TableField("STAITONOUTSTOPTIME")
    private Double staitonoutstoptime;

    @TableField("TOTALRADIATION")
    private Double totalradiation;

    @TableField("SUNSHINEHOURS")
    private Double sunshinehours;

    @TableField("SUNNYDAY")
    private Double sunnyday;

    @TableField("SUNNYOVERCAST")
    private Double sunnyovercast;

    @TableField("DAYNHCFDL")
    private Double daynhcfdl;

    @TableField("DAYNHXDSJ")
    private Double daynhxdsj;

    @TableField("GRIDMAINSSDL")
    private Double gridmainssdl;

    @TableField("GRIDFAULTSSDL")
    private Double gridfaultssdl;

    @TableField("AQTS")
    private Double aqts;

    @TableField("CALENDARHOURS")
    private Double calendarhours;

    @TableField("PLANGENERATING")
    private Double plangenerating;


}
