package cn.gyee.tamplate.model.auto;

import java.math.BigDecimal;

import cn.gyee.tamplate.util.DoubleUtils;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-03-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("METERPOINT2")
public class Meterpoint2 extends Model {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;

    @TableField("CODE")
    private String code;

    @TableField("NAME")
    private String name;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("WINDPOWERSTATIONID")
    private String windpowerstationid;

    @TableField("PROJECTID")
    private String projectid;

    @TableField("LINEID")
    private String lineid;

    @TableField("METERTYPE")
    private String metertype;

    @TableField("METERCODE")
    private String metercode;

    @TableField("METERSORT")
    private String metersort;

    @TableField("DISPLAYTYPE")
    private String displaytype;

    @TableField("UNIFORMCODE")
    private String uniformcode;

    @TableField("MAGNIFICATION")
    private Double magnification;

    @TableField("SHORTID")
    private String shortid;

    @TableField("LONGID")
    private String longid;

    @TableField("REALTIMEID")
    private String realtimeid;

    @TableField("INITIALVALUE")
    private Double initialvalue;

    @TableField("XS")
    private Double xs;

    @TableField("MAGNIFICATIONXS")
    private Double magnificationxs;


}
