package cn.gyee.tamplate.model.auto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-03-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("SHUTDOWNEVENT2")
public class Shutdownevent2 extends Model {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;

    @TableField("WINDPOWERSTATIONID")
    private String windpowerstationid;

    @TableField("WINDTURBINEID")
    private String windturbineid;

    @TableField("STOPTIME")
    private Date stoptime;

    @TableField("STARTTIME")
    private Date starttime;

    @TableField("STOPHOURS")
    private Double stophours;

    @TableField("LOSSPOWER")
    private Double losspower;

    @TableField("STOPTYPEID")
    private String stoptypeid;

    @TableField("ISHANDLE")
    private Double ishandle;

    @TableField("WARNINGID")
    private String warningid;

    @TableField("PROJECTID")
    private String projectid;

    @TableField("HANDLEWAY")
    private String handleway;

    @TableField("FAULTVIEW")
    private String faultview;

    @TableField("STATUSCODE")
    private Double statuscode;

    @TableField("MAINID")
    private String mainid;

    @TableField("RESETRATE")
    private String resetrate;

    @TableField("STATERATE")
    private String staterate;

    @TableField("FAILRATE")
    private String failrate;

    @TableField("WARNINGRECORDSID")
    private Double warningrecordsid;


}
