package cn.gyee.tamplate.service.impl;

import cn.gyee.tamplate.model.auto.Benchmarkingbetween;
import cn.gyee.tamplate.mapper.auto.BenchmarkingbetweenMapper;
import cn.gyee.tamplate.service.IBenchmarkingbetweenService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 谢生杰
 * @since 2021-02-25
 */
@Service
public class BenchmarkingbetweenServiceImpl extends ServiceImpl<BenchmarkingbetweenMapper, Benchmarkingbetween> implements IBenchmarkingbetweenService {
    @Resource
    private BenchmarkingbetweenMapper benchmarkingbetweenMapper;
    @Override
    public List<Benchmarkingbetween> findByBeginAndEnd(Date begin, Date end) {
        return benchmarkingbetweenMapper.findByBeginAndEnd(begin,end);
    }
}
