package cn.gyee.tamplate.controller;


import cn.gyee.tamplate.model.auto.Benchmarkingbetween;
import cn.gyee.tamplate.model.operation.Operation;
import cn.gyee.tamplate.service.benchmark.BenchmarkService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 谢生杰
 * @since 2021-02-25
 */
@RestController
@RequestMapping("//benchmarkingbetween")
public class BenchmarkingbetweenController {
    @Resource
    private BenchmarkService benchmarkService;
    @GetMapping("/list")
    @ResponseBody
    @CrossOrigin(origins = "*", maxAge = 3600)
    public List<Benchmarkingbetween> list(@RequestParam(value = "beginDate",required = true)String beginDate,
                                          @RequestParam(value = "endDate",required = true)String endDate){
        List<Benchmarkingbetween> resultList =  benchmarkService.findbenchlist(beginDate,endDate);

        return resultList;
    }
}
