package cn.gyee.tamplate.model.auto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-03-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ANALYSISWINDSTATION")
public class Analysiswindstation extends Model {

    private static final long serialVersionUID = 2686576837656L;

    @TableId("ID")
    private Double id;

    @TableField("WINDPOWERSTATIONID")
    private String windpowerstationid;

    @TableField("THEDAY")
    private Date theday;

    @TableField("MAXPOWER")
    private Double maxpower;

    @TableField("MINPOWER")
    private Double minpower;

    @TableField("MAINSTOPCOUNT")
    private Integer mainstopcount;

    @TableField("MAINSTOPTIMES")
    private Double mainstoptimes;

    @TableField("EQUIPMAINTIME")
    private Double equipmaintime;

    @TableField("UNMAINSTOPCOUNT")
    private Integer unmainstopcount;

    @TableField("WTFAULTCOUNT")
    private Integer wtfaultcount;

    @TableField("EQUIPFAULTCOUNT")
    private Integer equipfaultcount;

    @TableField("EQUIPFAULTTIMES")
    private Double equipfaulttimes;

    @TableField("RUNTIME")
    private Double runtime;

    @TableField("DAYNHQFDL")
    private Double daynhqfdl;

    @TableField("DAYNHXDSSDL")
    private Double daynhxdssdl;

    @TableField("DAYNHGZSSDL")
    private Double daynhgzssdl;

    @TableField("DAYNHGZSSDLEDIT")
    private Double daynhgzssdledit;

    @TableField("DAYNHWHSSDL")
    private Double daynhwhssdl;

    @TableField("DAYNHCFDL")
    private Double daynhcfdl;

    @TableField("GENERATINGCAPACITYSCADA")
    private Double generatingcapacityscada;

    @TableField("GENERATINGCAPACITY")
    private Double generatingcapacity;

    @TableField("GRIDGENERATINGCAPACITY")
    private Double gridgeneratingcapacity;

    @TableField("GWELECTRICITYPURCHASE")
    private Double gwelectricitypurchase;

    @TableField("NWELECTRICITYPURCHASE")
    private Double nwelectricitypurchase;

    @TableField("AVECUTSPEED")
    private Double avecutspeed;

    @TableField("AVESPEED")
    private Double avespeed;

    @TableField("CAPACITY")
    private Double capacity;

    @TableField("AVERAGEGENECAPACITY")
    private Double averagegenecapacity;

    @TableField("INSTALLEDUNITS")
    private Double installedunits;

    @TableField("THEGENERATING")
    private Double thegenerating;

    @TableField("THEGENERATINGSCADA")
    private Double thegeneratingscada;

    @TableField("AVEPOWER")
    private Double avepower;

    @TableField("STATIONOFGENERATING")
    private Double stationofgenerating;

    @TableField("STOPTIME")
    private Double stoptime;

    @TableField("BUYGENERATING")
    private Double buygenerating;

    @TableField("LOSSGENERATING")
    private Double lossgenerating;

    @TableField("MULTIPLEGENERATING")
    private Double multiplegenerating;

    @TableField("MULTIPLERATE")
    private Double multiplerate;

    @TableField("MULTIPLEGENERATINGSCADA")
    private Double multiplegeneratingscada;

    @TableField("MULTIPLERATESCADA")
    private Double multipleratescada;

    @TableField("AVEUTILIZATIONHOUR")
    private Double aveutilizationhour;

    @TableField("NOFAULTHOURS")
    private Double nofaulthours;

    @TableField("ADJUSTABLEHOUR")
    private Double adjustablehour;

    @TableField("EFFECTIVEHOUR")
    private Double effectivehour;

    @TableField("AVEUTILIZATIONHOURSCADA")
    private Double aveutilizationhourscada;

    @TableField("EQUIVALENT")
    private Double equivalent;

    @TableField("LOADRATE")
    private Double loadrate;

    @TableField("MAINLOSSRATE")
    private Double mainlossrate;

    @TableField("FAULTLOSSRATE")
    private Double faultlossrate;

    @TableField("EQUIPAVAILABILITY")
    private Double equipavailability;

    @TableField("FAULTLOSS")
    private Double faultloss;

    @TableField("MAINLOSS")
    private Double mainloss;

    @TableField("AVEFAULTTIME")
    private Double avefaulttime;

    @TableField("MAINSTOPTIME")
    private Double mainstoptime;

    @TableField("EQUIPFAULTAVESTOPTIME")
    private Double equipfaultavestoptime;

    @TableField("WTFAULTAVESTOPTIMEEDIT")
    private Double wtfaultavestoptimeedit;

    @TableField("SYZFAULTAVESTOPTIME")
    private Double syzfaultavestoptime;

    @TableField("POWERGRIDFAULTAVESTOPTIME")
    private Double powergridfaultavestoptime;

    @TableField("MAINAVESTOPTIME")
    private Double mainavestoptime;

    @TableField("FJDJMAINAVESTOPTIME")
    private Double fjdjmainavestoptime;

    @TableField("SYZMAINAVESTOPTIME")
    private Double syzmainavestoptime;

    @TableField("POWERGRIDMAINAVESTOPTIME")
    private Double powergridmainavestoptime;

    @TableField("AVERUNTIME")
    private Double averuntime;

    @TableField("TRYRUNGENERATING")
    private Double tryrungenerating;

    @TableField("TRYRUNGRIDGENERATING")
    private Double tryrungridgenerating;

    @TableField("ENDCAPACTIY")
    private Double endcapactiy;

    @TableField("STANDBYHOUR")
    private Double standbyhour;

    @TableField("TERMINALPUTFORTH")
    private Double terminalputforth;

    @TableField("NEWCAPACTIY")
    private Double newcapactiy;

    @TableField("GRIDTARIFF")
    private Double gridtariff;

    @TableField("WITHINBASE")
    private Double withinbase;

    @TableField("REPLACEDSALES")
    private Double replacedsales;

    @TableField("UNIVALENT")
    private Double univalent;

    @TableField("ONEHINDERCOUNT")
    private Double onehindercount;

    @TableField("SYZFAULTLOSS")
    private Double syzfaultloss;

    @TableField("SYZMAINLOSS")
    private Double syzmainloss;

    @TableField("AVERAGESPEED")
    private Double averagespeed;

    @TableField("AVEAIRDENSITY")
    private Double aveairdensity;

    @TableField("SYZMAINSTOPTIME")
    private Double syzmainstoptime;

    @TableField("FAULTHANDLETIME")
    private Double faulthandletime;

    @TableField("SYZFAULTSTOPTIME")
    private Double syzfaultstoptime;

    @TableField("UNPLANOUTAGETIME")
    private Double unplanoutagetime;

    @TableField("UNITSTARTUPTIMES")
    private Double unitstartuptimes;

    @TableField("UNITSTOPTIMES")
    private Double unitstoptimes;

    @TableField("STATIONINSTOPTIME")
    private Double stationinstoptime;

    @TableField("STAITONINMAINSTOPTIME")
    private Double staitoninmainstoptime;

    @TableField("STATIONOUTSTOPTIME")
    private Double stationoutstoptime;

    @TableField("ELIMINATIONRATE")
    private Double eliminationrate;

    @TableField("DAYNHXDSJ")
    private Double daynhxdsj;

    @TableField("GRIDFAULTSTOPTIME")
    private Double gridfaultstoptime;

    @TableField("GRIDMAINSTOPTIME")
    private Double gridmainstoptime;

    @TableField("GRIDMAINSSDL")
    private Double gridmainssdl;

    @TableField("GRIDFAULTSSDL")
    private Double gridfaultssdl;

    @TableField("STATIONPOWER")
    private Double stationpower;

    @TableField("STATIONRATE")
    private Double stationrate;

    @TableField("AQTS")
    private Double aqts;

    @TableField("CALENDARHOURS")
    private Double calendarhours;

    @TableField("PLANGENERATING")
    private Double plangenerating;

    @TableField("ISCOMMIT")
    private Integer iscommit;


}
