package cn.gyee.tamplate.model.auto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-03-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("WINDPOWERSTATION")
public class Windpowerstation extends Model {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;

    @TableField("CODE")
    private String code;

    @TableField("NAME")
    private String name;

    @TableField("ADDRESS")
    private String address;

    @TableField("TELEPHONE")
    private String telephone;

    @TableField("CAPACITY")
    private Double capacity;

    @TableField("CAPACITYUNIT")
    private String capacityunit;

    @TableField("QUANTITY")
    private Double quantity;

    @TableField("ANAME")
    private String aname;

    @TableField("LONGITUDE")
    private Double longitude;

    @TableField("LATITUDE")
    private Double latitude;

    @TableField("PHOTO")
    private String photo;

    @TableField("COMPANYID")
    private String companyid;

    @TableField("SYSTEMMANUFACT")
    private String systemmanufact;

    @TableField("HEADFARM")
    private String headfarm;

    @TableField("HEADFARMPHONE")
    private String headfarmphone;

    @TableField("MODEL")
    private String model;

    @TableField("ORDERNUM")
    private Double ordernum;

    @TableField("ALTITUDE")
    private Double altitude;

    @TableField("HEIGHT")
    private Double height;


}
