package cn.gyee.tamplate.service.impl;

import cn.gyee.tamplate.model.auto.Operationrecord;
import cn.gyee.tamplate.mapper.auto.OperationrecordMapper;
import cn.gyee.tamplate.service.IOperationrecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qiniu.processing.OperationManager;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 谢生杰
 * @since 2021-01-21
 */
@Service
public class OperationrecordServiceImpl extends ServiceImpl<OperationrecordMapper, Operationrecord> implements IOperationrecordService {
    @Resource
    private OperationrecordMapper  operationrecordMapper;
    @Override
    public List<Operationrecord> listByBeginAndEnd(Date begin, Date end) {
        return operationrecordMapper.listByBeginAndEnd(begin,end);
    }
}
